Skip to content
Start here

Delete Custom Hostname (and any issued SSL certificates)

custom_hostnames.delete(strcustom_hostname_id, CustomHostnameDeleteParams**kwargs) -> CustomHostnameDeleteResponse
DELETE/zones/{zone_id}/custom_hostnames/{custom_hostname_id}

Permanently deletes a custom hostname and revokes any SSL certificates that were issued for it. This action cannot be undone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
SSL and Certificates Write
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
custom_hostname_id: str

Identifier.

maxLength32
ReturnsExpand Collapse
class CustomHostnameDeleteResponse:
id: Optional[str]

Identifier.

maxLength32

Delete Custom Hostname (and any issued SSL certificates)

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
custom_hostname = client.custom_hostnames.delete(
    custom_hostname_id="023e105f4ecef8ad9ca31a8372d0c353",
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(custom_hostname.id)
{
  "id": "023e105f4ecef8ad9ca31a8372d0c353"
}
Returns Examples
{
  "id": "023e105f4ecef8ad9ca31a8372d0c353"
}